[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RunError

Generate a run-time error.

## Declaration

Source position: line 0

`procedure RunError(`
`w: Word`
`); procedure RunError;`

## Description

Runerror stops the execution of the program, and generates a run-time error ErrorCode.

## Errors

None.

## See also

Exit |  | Exit current subroutine.
Halt |  | Stop program execution.

## Example

    Program Example55;

    { Program to demonstrate the RunError function. }

    begin
      { The program will stop end emit a run-error 106 }
      RunError (106);
    end.

Documentation generated on: Feb 26 2014